#!/bin/sh 
# Remark: launch wish wherever it is \
exec wish -f $0 $*

# testRtf.tcl

# June 25, 2000 v1.3
# June 28, 2000 new tree


set RTFTCL $env(RTFTCL)
set INCDIR $RTFTCL/include
set LIBDIR $RTFTCL/lib
set BINDIR $RTFTCL/bin
set WDIR [pwd]


lappend auto_path $LIBDIR [file dirname [info script]] 

package require Rtftclx

# namespace import Rtf::*

set applName [file tail [file root $argv0]]
# remind that argv0 is the name of the process


proc buildPanel { parent } {
    
    global illegal

    # build the tcl panel (variables part)
    set mf [frame $parent -borderwidth 4 -relief ridge]
    set frameList [Rtf::buildVarPanel $mf]
    
    # add your control buttons
    set fc1 [frame $mf.c1]
    set g [button $fc1.g -text Go -width 5 -command [list Rtf::sendCmd g]]
    set s [button $fc1.s -text Stop -width 5 -command Rtf::sendStop]
    pack $g $s -side left -padx 3
    
    set fc2 [frame $mf.c2]
    set f [button $fc2.f -text Freeze -width 5 -command [list Rtf::sendCmd f]]
    set r [button $fc2.r -text Resume -width 5 -command [list Rtf::sendCmd r]]
    pack $f $r -side left -padx 3
    
    set fi [frame $mf.i]
    set rlb [label $fi.lb -text illegal]
    set ri [radiobutton $fi.i -text y -variable illegal  -value 1 -state disabled]
    set rl [radiobutton $fi.l -text n -variable illegal  -value 0 -state disabled]
    pack $rlb $ri $rl -side left -padx 3
    
    
    set q [button $mf.q -text Quit -command Rtf::Quit -state disabled]
    set Rtf::wgtPath(quit) $q
    
    # pack all
    eval pack $frameList  $fc1 $fc2 $fi $q
    pack $mf
}


proc main {} {

    global applName

    puts stderr "\n\tTest of Rtf\n"


    # load the RTLinux process in the kernel
    catch {exec rt_load $applName}

    # comment out next line if you don't want debugging
    # rtf_debug 1

    # always before other handling of RTFs
    Rtf::Init ${applName}Cfg.tcl

    # build the Tcl-Tk panel
    buildPanel .mf
    
}

main
tkwait window .


exit

